> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Attribute Values

> Search attributes based on filters specified in the request body.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/search/attributes
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/search/attributes:
    post:
      tags:
        - Attribute
      summary: Search Attribute Values
      description: Search attributes based on filters specified in the request body.
      operationId: c1.api.attribute.v1.AttributeSearch.SearchAttributeValues
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.attribute.v1.SearchAttributeValuesRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.attribute.v1.SearchAttributeValuesResponse
          description: >-
            SearchAttributeValuesResponse is the response for searching
            AttributeValues.
      x-codeSamples:
        - lang: go
          label: SearchAttributeValues
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.AttributeSearch.SearchAttributeValues(ctx, nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.SearchAttributeValuesResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.attributeSearch.searchAttributeValues();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.attribute.v1.SearchAttributeValuesRequest:
      description: Search Attributes by a few properties.
      properties:
        attributeTypeIds:
          description: The attribute type ids for what type of attributes to search for.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        excludeIds:
          description: Exclude attributes with these ids from the search results.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        ids:
          description: Include attributes with these ids in the search results.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        pageSize:
          description: >-
            The pageSize where 0 <= pageSize <= 100. Values < 10 will be set to
            10. A value of 0 returns the default page size (currently 25)
          format: int32
          readOnly: false
          type: integer
        pageToken:
          description: The pageToken field.
          readOnly: false
          type: string
        query:
          description: >-
            Query the attributes with a fuzzy search on display name and
            description.
          readOnly: false
          type: string
        value:
          description: >-
            Search for attributes with a case insensitive match on the attribute
            value which is the attribute name.
          readOnly: false
          type: string
      title: Search Attribute Values Request
      type: object
      x-speakeasy-name-override: SearchAttributeValuesRequest
    c1.api.attribute.v1.SearchAttributeValuesResponse:
      description: >-
        SearchAttributeValuesResponse is the response for searching
        AttributeValues.
      properties:
        list:
          description: The list of returned AttributeValues.
          items:
            $ref: '#/components/schemas/c1.api.attribute.v1.AttributeValue'
          nullable: true
          readOnly: false
          type: array
        nextPageToken:
          description: >-
            The nextPageToken is shown for the next page if the number of
            results is larger than the max page size.
             The server returns one page of results and the nextPageToken until all results are retreived.
             To retrieve the next page, use the same request and append a pageToken field with the value of nextPageToken shown on the previous page.
          readOnly: false
          type: string
      title: Search Attribute Values Response
      type: object
      x-speakeasy-name-override: SearchAttributeValuesResponse
    c1.api.attribute.v1.AttributeValue:
      description: AttributeValue is the value of an attribute of a defined type.
      properties:
        attributeTypeId:
          description: The ID of the AttributeType that this AttributeValue belongs to.
          readOnly: false
          type: string
        createdAt:
          format: date-time
          readOnly: true
          type: string
        deletedAt:
          format: date-time
          readOnly: true
          type: string
        id:
          description: The ID of the AttributeValue.
          readOnly: false
          type: string
        updatedAt:
          format: date-time
          readOnly: true
          type: string
        value:
          description: >-
            The value of the AttributeValue. This is the string that will be
            displayed to the user.
          readOnly: false
          type: string
      title: Attribute Value
      type: object
      x-speakeasy-name-override: AttributeValue
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````